Subject: Re: bug#2930: 23.0.92; `accept-process-output' and `sleep-for' do not run sentinels

From: Markus Triska <[email-masked]>
Date: Mon, 17 Aug 2009 18:34:35 +0200

Stefan Monnier <[email-masked]> writes:

> so maybe we should change it even further?  I think a good change would
> be to change the code of wait_reading_process_output such that status
> changes are taken into account (even when do_display is 0) but only for
> the process(es) for which we're waiting.

I agree, and I think that if no process at all is specified, then all
status changes should be processed. This is for consistency with regular
input processing: If there is input from some process, and no particular
process is specified, it will also be processed.